<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: Thread::Ip6::IcmpHandler Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="../../annotated.html"><span>Classes</span></a></li>
      <li><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="../../classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="../../inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="../../functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('da/dff/classThread_1_1Ip6_1_1IcmpHandler.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#friends">Friends</a> &#124;
<a href="../../db/deb/classThread_1_1Ip6_1_1IcmpHandler-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Thread::Ip6::IcmpHandler Class Reference<div class="ingroups"><a class="el" href="../../d0/de1/group__core.html">Core</a> &raquo; <a class="el" href="../../d2/df2/group__core-ipv6.html">IPv6</a> &raquo; <a class="el" href="../../d9/dbe/group__core-ip6-icmp6.html">ICMPv6</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>This class implements ICMPv6 message handlers.  
 <a href="../../da/dff/classThread_1_1Ip6_1_1IcmpHandler.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="../../d0/dba/icmp6_8hpp_source.html">src/core/net/icmp6.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a29e4de7922e90efb1c9f2195a7e4cf3c"><td class="memItemLeft" align="right" valign="top">typedef void(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dff/classThread_1_1Ip6_1_1IcmpHandler.html#a29e4de7922e90efb1c9f2195a7e4cf3c">DstUnreachHandler</a>) (void *aContext, <a class="el" href="../../dc/d3c/classThread_1_1Message.html">Message</a> &amp;aMesage, const <a class="el" href="../../da/d46/classThread_1_1Ip6_1_1MessageInfo.html">MessageInfo</a> &amp;aMessageInfo, const <a class="el" href="../../d2/de0/classThread_1_1Ip6_1_1IcmpHeader.html">IcmpHeader</a> &amp;aIcmpHeader)</td></tr>
<tr class="memdesc:a29e4de7922e90efb1c9f2195a7e4cf3c"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function pointer is called when receiving an ICMPv6 Destination Unreachable message.  <a href="#a29e4de7922e90efb1c9f2195a7e4cf3c">More...</a><br /></td></tr>
<tr class="separator:a29e4de7922e90efb1c9f2195a7e4cf3c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a0d479f55838901ccb5b1ebd383e20db4"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dff/classThread_1_1Ip6_1_1IcmpHandler.html#a0d479f55838901ccb5b1ebd383e20db4">IcmpHandler</a> (<a class="el" href="../../da/dff/classThread_1_1Ip6_1_1IcmpHandler.html#a29e4de7922e90efb1c9f2195a7e4cf3c">DstUnreachHandler</a> aDstUnreachHandler, void *aContext)</td></tr>
<tr class="memdesc:a0d479f55838901ccb5b1ebd383e20db4"><td class="mdescLeft">&#160;</td><td class="mdescRight">This constructor creates an ICMPv6 message handler.  <a href="#a0d479f55838901ccb5b1ebd383e20db4">More...</a><br /></td></tr>
<tr class="separator:a0d479f55838901ccb5b1ebd383e20db4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="friends"></a>
Friends</h2></td></tr>
<tr class="memitem:aa295923a8787f9de4fbe16136f3c931c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa295923a8787f9de4fbe16136f3c931c"></a>
class&#160;</td><td class="memItemRight" valign="bottom"><b>Icmp</b></td></tr>
<tr class="separator:aa295923a8787f9de4fbe16136f3c931c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This class implements ICMPv6 message handlers. </p>
</div><h2 class="groupheader">Member Typedef Documentation</h2>
<a class="anchor" id="a29e4de7922e90efb1c9f2195a7e4cf3c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef void(* Thread::Ip6::IcmpHandler::DstUnreachHandler) (void *aContext, <a class="el" href="../../dc/d3c/classThread_1_1Message.html">Message</a> &amp;aMesage, const <a class="el" href="../../da/d46/classThread_1_1Ip6_1_1MessageInfo.html">MessageInfo</a> &amp;aMessageInfo, const <a class="el" href="../../d2/de0/classThread_1_1Ip6_1_1IcmpHeader.html">IcmpHeader</a> &amp;aIcmpHeader)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function pointer is called when receiving an ICMPv6 Destination Unreachable message. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aContext</td><td>A pointer to arbitrary context information. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">aMessage</td><td>A reference to the received message. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">aMessageInfo</td><td>A reference to message information associated with <code>aMessage</code>. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">aIcmpHeader</td><td>A reference to the received ICMPv6 header. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a0d479f55838901ccb5b1ebd383e20db4"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Thread::Ip6::IcmpHandler::IcmpHandler </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/dff/classThread_1_1Ip6_1_1IcmpHandler.html#a29e4de7922e90efb1c9f2195a7e4cf3c">DstUnreachHandler</a>&#160;</td>
          <td class="paramname"><em>aDstUnreachHandler</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>aContext</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This constructor creates an ICMPv6 message handler. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aDstUnreachHandler</td><td>A pointer to the function that is called when receiving a Destination Unreachable message. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">aContext</td><td>A pointer to arbitrary context information. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>src/core/net/<a class="el" href="../../d0/dba/icmp6_8hpp_source.html">icmp6.hpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>Thread</b></li><li class="navelem"><a class="el" href="../../d2/de1/namespaceThread_1_1Ip6.html">Ip6</a></li><li class="navelem"><a class="el" href="../../da/dff/classThread_1_1Ip6_1_1IcmpHandler.html">IcmpHandler</a></li>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:36 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
